com.android.agf.fragments

## Class NumComponentsFragment.MyAdapter

- java.lang.Object
- - android.widget.BaseAdapter
  - - android.widget.ArrayAdapter<StructureDashboard>
    - - com.android.agf.adapters.StructureArrayAdapter
      - - com.android.agf.fragments.NumComponentsFragment.MyAdapter

- All Implemented Interfaces:
    Adapter, Filterable, ListAdapter, SpinnerAdapter
  Enclosing class:
    NumComponentsFragment

       class NumComponentsFragment.MyAdapter
      extends StructureArrayAdapter

  adaptador on es contindra la crida al callback de l'activity
  Author:
    albert

- - ### Field Summary

    - ### Fields inherited from interface android.widget.Adapter

      `IGNORE_ITEM_VIEW_TYPE, NO_SELECTION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NumComponentsFragment.MyAdapter(Context context, int resource, int[] ids, List<StructureDashboard> objects)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `crida(int id)`

    - ### Methods inherited from class com.android.agf.adapters.StructureArrayAdapter

      `getCount, getItem, getItemId, getView, isEnabled`

    - ### Methods inherited from class android.widget.ArrayAdapter

      `add, addAll, addAll, clear, createFromResource, getContext, getDropDownView, getFilter, getPosition, insert, notifyDataSetChanged, remove, setDropDownViewResource, setNotifyOnChange, sort`

    - ### Methods inherited from class android.widget.BaseAdapter

      `areAllItemsEnabled, getItemViewType, getViewTypeCount, hasStableIds, isEmpty, notifyDataSetInvalidated, registerDataSetObserver, unregisterDataSetObserver`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NumComponentsFragment.MyAdapter

          public NumComponentsFragment.MyAdapter(Context context,
                                         int resource,
                                         int[] ids,
                                         List<StructureDashboard> objects)

  - ### Method Detail

    - #### crida

          public void crida(int id)

      Overrides:
        `crida` in class `StructureArrayAdapter`